/*
Custom style
Author : Amar Kholambe
*/

/* html, body {
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
 } */
 html, body {
    /* font-family: 'Roboto', sans-serif; */
    /* font-family: 'Rubik', sans-serif; */
    /* font-family: 'Montserrat', sans-serif; */
}

body,.btn,.form-control,.input-group-text,.dropdown-menu{
    font-size: 13px;
}

.wrapper{
    padding: 15px;
}

.content-wrapper{
    margin-top: 38px;
}

.search-box{
    padding: 0px;
    /*    max-width: 600px;*/
}

.search-box .btn-link{
    padding: 0;
    color: #424242;
}
.search-box .search-header{
    color: #888;
    margin: 15px;
    text-transform: uppercase;
}
.input-group-text{
    padding: 0 5px 0 8px;
}

.page-title{
    color: #fb7a02;
    height: 50px;
    /*    position: relative;
        top: 40px;*/
    font-size: 28px;
    line-height: 60px;
    font-weight: 400;
}
.page-subtitle{
    color: #365b6a;
    margin-top: 5px;
    position: absolute;
    font-size: 22px;
    font-weight: 400;
}

.page-subtitle-table{
    color: #365b6a;   
    font-size: 22px;
    font-weight: 400;
}

hr.divider{
    margin-top: 6px;
    border-top: 2px solid #6B838D; 
}

.logo{
    /* width: 200px; */
    position: absolute;
    top: 2px;
}
.table-header {
    text-align: right;
}
.table-header h5{
    font-size: 16px;
    font-weight: bold;
}
.table-header .btn-group .btn-outline-secondary{
    border-color: #d1d1d1;
    padding: 2px 7px;
}

.btn-primary{
    border-color: #184E7F;
    background-color:  #184E7F;
}
.btn-primary:hover{
    background:#0e3f6a;
}
 .btn-outline-primary{
    border-color: #184E7F;
    color:  #184E7F;
}
.btn-outline-primary:hover, .btn-outline-primary:active{
    background-color: #184E7F;
    border-color: #184E7F;
} 

.btn.focus, .btn:focus{
    box-shadow: none !important;
}
.navbar-light .navbar-nav .nav-link{
    font-weight: 700;
}

.navbar-light .navbar-nav .active>.nav-link, .navbar-light .navbar-nav .nav-link.active, .navbar-light .navbar-nav .nav-link.show, .navbar-light .navbar-nav .show>.nav-link{
    color: #FB8102;
}

.middle {
    /* Internet Explorer 10 */
    display: -ms-flexbox;
    /*    -ms-flex-pack: center;*/
    -ms-flex-align: center;
    /* Firefox */
    display: -moz-box;
    /*    -moz-box-pack: center;*/
    -moz-box-align: center;
    /* Safari, Opera, and Chrome */
    display: -webkit-box;
    /*    -webkit-box-pack: center;*/
    -webkit-box-align: center;
    /* W3C */
    display: box;
    /*    box-pack: center;*/
    box-align: center;
}
.table td, .table th{
    padding: 8px;
}
.table-bordered td, .table-bordered th {
    border: 1px solid #bfcddc;
}

.option-box{
    padding: 10px;
    color: #fff;
    margin: 7px 0;
    background: #f5f5f5;
    box-shadow: 0px 0px 3px #bee5f8 inset;
}
.blue-option-box{
    box-shadow: 2px 2px 8px #000 inset;
    border: 3px solid #6e99c4!important;
    border-radius: .55rem!important;
}

.option-box .option-title{
    position: absolute;
    margin-left: 78px;
    margin-top: -22px;
    background: #696969;
    padding: 0 5px;
}
.blue-option-box .option-title{
    background: #103c64;
}
.custom-links a{
    color:#fff;
    text-decoration: underline;
}
.custom-links .col-md-auto{
    padding: 10px;   
}

.logbox{
    padding: 10px;
    background: #fff;
    max-width: 300px;
    margin: 0 auto;

}
.logbox .logInner{
    /* height: 290px; */
    width: 100%;
    /* border: 1px solid #ccc; */
    padding: 10px;
}
.logbox .logInner .btn{
    background: #006FCF;
}
.form-signin{
    max-width: 420px;
}

.add_alert .header{
    height: auto;
    background: #184E7F;
    position: relative;
    border: 1px solid #184E7F;
    color: #fff;
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
    -moz-box-shadow: 0 1px 0px rgba(255, 255, 255, 1);
    -webkit-box-shadow: 0 1px 0px rgba(255, 255, 255, 1);
    box-shadow: 0 1px 0px rgba(255, 255, 255, 1);
}
.add_alert .header a{
    color: #DA873C;
    font-weight: normal;
}
.add_alert .header label{
    padding-left: 15px;
    margin-bottom: 0;
    padding-top: 9px;
    padding-bottom: 9px;
    font-size: 14px;
}

.card-body{
    padding: 10px;
    border: 1px solid #c4c4c4 !important;
    border-bottom-left-radius: 2px;
    border-bottom-right-radius: 2px;
    border-top: none;
    background-color: #fff;
    position: relative;
    max-height: 686px;
    overflow-y: auto;
    overflow-x: hidden;
}
.card-body-not-scroll{
    max-height: 100%;
    overflow-y: auto;
    overflow-x: auto;
}
.card-body table td button.close span{
    position: relative;
    top: -3px;
}
.add_alert .alert{
    padding: 10px 40px 10px 10px;
    border-left: 5px solid #07c2ec;
}

.alert-dismissible .close{
    padding: 6px 15px;
}

.dim-yellow{
    background: #EFEEDC;
}
.contant-title{
    color: #424242;
    height: 113px;
    font-size: 30px;
}




.table th{
    background: #0E3F6A;
    color: #ffffff;
}
.table td, .table-bordered th {
    border: 1px solid #ffffff;
}
.table > tbody > tr:nth-of-type(odd) {
    background-color: #D2DEEF !important;
}
.table > tbody > tr:nth-of-type(even) {
    background-color: #EAEFF7;
}

.blueBK{
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#184e7f+0,092a49+100 */
    background: #184e7f; /* Old browsers */
    background: -moz-linear-gradient(top, #184e7f 0%, #092a49 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top, #184e7f 0%,#092a49 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, #184e7f 0%,#092a49 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#184e7f', endColorstr='#092a49',GradientType=0 ); /* IE6-9 */
    height: 100vh;
    overflow: hidden;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 60px;
    line-height: 60px;
    background-color: #f5f5f5;
}

.btn.disabled, .btn:disabled{
    color: #000;
    background-color: #b2b6ba;
    border-color: #999fa5;
}
.btn.disabled:hover, .btn:disabled:hover{
    cursor: not-allowed;
}
.navbar-light .navbar-nav .nav-link {
    color: #184E7F;
}
.navbar{
    background-color: #F1F1F1;
    box-shadow: 2px 0px 8px #999999;
}
.col-form-label {
    padding-bottom: 4px;
    padding-top: 4px;
}

.form-group{
    margin-bottom: 10px;
}
.form-control:not(.form-control-lg){
    padding: 6px;
}
.btn-bk-grn{
    background: #0ac33a;
    height: 25px;
    width: 25px;
    border-radius: 50%;
    padding: 0;
    margin: 7px;
    border: 1px solid #0ac33a;
}

.f12{
    font-size: 12px;
}
.ngx-pagination {
    text-align: center;
}
.ngx-pagination li {
    border: 1px solid #c0c0c0;
    margin: 2px;
}
.ngx-pagination .current {
    border-color: #2199e8;
}

.btn-bk-grn .fa {
    font-size: 14px;
}
.form-control:focus {
    outline: 1px solid #0078D2;
    border: 1px solid #0078D2;
    box-shadow: none;
}
.modal.fade{
    opacity:1;
  }
.modal.fade .modal-dialog {
    -webkit-transform: translate(0);
    -moz-transform: translate(0);
    transform: translate(0);
}

.card-body .form-inline-custom .form-group{
    width: 30%;
} 
.card-body .form-inline-custom input.form-control{
    width: 100%;
}
.card-body .form-inline-custom .form-inline{
    width: 30px;
}
.dropdown-menu{
    margin: 0;
}




@media (max-width: 767px){
    .page-subtitle{
        margin-bottom: 15px;
    }
    .page-title, .contant-title{
        height: auto;
    }
    .blueBK{
        height: 100%;
        overflow: auto;
    }
    .footer {
        position: relative;
    }
}

/* For radio button/ checkbox/ select dropdown */
.control {
    position: relative;
    padding-left: 10px;
    cursor: pointer;
  }
  .control input {
    position: absolute;
    z-index: -1;
    opacity: 0;
  }
  .control__indicator {
    position: absolute;
    top: 0px;
    left: 0;
    height: 20px;
    width: 20px;
    background: #ffffff;
  }
  .control--radio .control__indicator {
    border-radius: 50%;
    border: 1px solid #9DA6AB;
  }
  .control:hover input ~ .control__indicator,
  .control input:focus ~ .control__indicator {
    /* background: #ccc; */
    box-shadow: 0 0 2px #424242;
}
  .control input:checked ~ .control__indicator {
    background: #ffffff;
  }
  .control--checkbox input:checked ~ .control__indicator {
    background: #fff;
  }
  .control:hover input:not([disabled]):checked ~ .control__indicator{/*,  .control input:checked:focus ~ .control__indicator { */
    box-shadow: 0 0 2px #424242;
  }
  .control input:disabled ~ .control__indicator {
    background: #e6e6e6;
    opacity: 0.6;
    pointer-events: none;
  }
  .control__indicator:after {
    content: '';
    position: absolute;
    display: none;
  }
  .control input:checked ~ .control__indicator:after {
    display: block;
  }
  .control--checkbox .control__indicator{
      border: 1px solid #0078D2;
  }
  .control--checkbox .control__indicator:after {
    left: 7px;
    top: 3px;
    width: 5px;
    height: 10px;
    border: solid #0078D2;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
  }
  .control--checkbox input:disabled ~ .control__indicator:after {
    border-color: #7b7b7b;
  }
  .control--radio .control__indicator:after {
    left: 2px;
    top: 2px;
    height: 14px;
    width: 14px;
    border-radius: 50%;
    background: #0078D2;
  }
  .control--radio input:disabled ~ .control__indicator:after {
    background: #7b7b7b;
  }
  .select {
    position: relative;
    display: inline-block;
    margin-bottom: 15px;
    width: 100%;
  }
  .select select {
    display: inline-block;
    width: 100%;
    cursor: pointer;
    padding: 10px 15px;
    outline: 0;
    border: 0;
    border-radius: 0;
    background: #e6e6e6;
    color: #7b7b7b;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
  }
  .select select::-ms-expand {
    display: none;
  }
  .select select:hover,
  .select select:focus {
    color: #000;
    background: #ccc;
  }
  .select select:disabled {
    opacity: 0.5;
    pointer-events: none;
  }
  .select__arrow {
    position: absolute;
    top: 16px;
    right: 15px;
    width: 0;
    height: 0;
    pointer-events: none;
    border-style: solid;
    border-width: 8px 5px 0 5px;
    border-color: #7b7b7b transparent transparent transparent;
  }
  .select select:hover ~ .select__arrow,
  .select select:focus ~ .select__arrow {
    border-top-color: #000;
  }
  .select select:disabled ~ .select__arrow {
    border-top-color: #ccc;
  }
  
  


  /*------------------------- DOCC Import -------------------------------*/

.lh-80{
    line-height: 80px;
}
  .Xoverflow{
      overflow-x: auto;
}
.Yoverflow{
    overflow-y: auto;
}


.bonsai > li > input[type=checkbox]{
    margin: 0px 5px 0px 5px;
    position: relative;
    top: 2px;
}

.thumb {
    margin: -1px 0 0 -1em; 
    position: absolute;
    cursor: pointer;
}

.thumb i{
    display: none;
    font-size: 10px;
}
.has-children > .thumb i{
    display: inline;
}
.expanded > .thumb{
    -ms-transform: rotate(90deg); 
    -webkit-transform: rotate(90deg); 
    transform: rotate(90deg);
}
.delete-iconbtn
{
    display: inline;
    padding: 5px 10px;
    margin-left: 10px;
}
.table.table-condensed tr td{
    padding:5px;
}
.delete_tblbtn
{
    font-size: 12px;
    padding: 3px 6px;
}
.dyanamic_question_popup .modal-title{
    font-size:15px !important;
}
.dyanamic_question_popup{
    margin-top:20px !important;
}
.dyanamic_question_popup .modal-body{
    max-height: 68vh;
    overflow-y: auto;
}
.tooltip {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted black;
  }
  
  .tooltip .tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: black;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
  
    /* Position the tooltip */
    position: absolute;
    z-index: 1;
  }
  
  .tooltip:hover .tooltiptext {
    visibility: visible;
  }
  .question_style span {
    position: relative;
    display: inline-block;
    line-height: 30px;
  }
  
  span[title]:hover::after {
    content: attr(title);
    position: absolute;
    top: -140%;
    left: 0;
    font-size: 13px;
    --dbackground: #000;
    color: #ffff;
    border-radius: 3px;
    padding: 3px;
    list-style: normal;
    min-width: 220px;
    line-height: normal;
  }
  input.form-control{
      height: 30px;
  }
  .alert.alert-info1{
    margin:10px 0;
    border-top:2px solid #cccccc;
  }
  .ng-invalid {
    border-color: red !important;
}
.alikea
{
    color: #0056B3;
    cursor: pointer;
}
.alikea:hover
{
    color: #0056B3;
    text-decoration: underline;
    
}
.checkbox-control{
    width: 20px;
    height: 20px;
    line-height: 30px;
    margin-top: 5px;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}